com.atid.lib.module.barcode.ssi.type

## Enum RedundancyLevel

- java.lang.Object
- - java.lang.Enum<RedundancyLevel>
  - - com.atid.lib.module.barcode.ssi.type.RedundancyLevel

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<RedundancyLevel>

      public enum RedundancyLevel
      extends java.lang.Enum<RedundancyLevel>
      implements IEnumType

  The decoder offers four levels of decode redundancy. Select higher redundancy levels for decreasing levels of bar code quality. As redundancy levels increase, the decoder's aggressiveness decreases. Select the redundancy level appropriate for the bar code quality.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Level1` Redundancy Level 1 The following code types must be successfully read twice before being decoded: |  | Code Type | Code Length | Codabar | 8 or less | MSI | 4 or less | D 2 of 5 | 8 or less | I 2 of 5 | 8 or less

`Level2`
Redundancy Level 2
The following code types must be successfully read twice before being decoded:
Code Type Code Length All All
`Level3`
Redundancy Level 3
Code types other than the following must be successfully read twice before being decoded.
`Level4`
Redundancy Level 4
The following code types must be successfully read three times before being decoded:
Code Type Code Length All All

- ### Method Summary

  All Methods Static Methods Instance Methods Concrete Methods
  Modifier and Type | Method and Description
  --- | ---
  `int` | `getCode()`
  `java.lang.String` | `toString()`
  `static RedundancyLevel` | `valueOf(int code)`
  `static RedundancyLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
  `static RedundancyLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

  - ### Methods inherited from class java.lang.Enum

    `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  - ### Methods inherited from class java.lang.Object

    `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Level1

          public static final RedundancyLevel Level1

      Redundancy Level 1
      The following code types must be successfully read twice before being decoded:

      | Code Type | Code Length
      | Codabar | 8 or less
      | MSI | 4 or less
      | D 2 of 5 | 8 or less
      | I 2 of 5 | 8 or less

    - #### Level2

          public static final RedundancyLevel Level2

      Redundancy Level 2
      The following code types must be successfully read twice before being decoded:

      | Code Type | Code Length
      | All | All

    - #### Level3

          public static final RedundancyLevel Level3

      Redundancy Level 3
      Code types other than the following must be successfully read twice before being decoded.
      The following codes must be read three times:

      | Code Type | Code Length
      | Codabar | 8 or less
      | MSI | 4 or less
      | D 2 of 5 | 8 or less
      | I 2 of 5 | 8 or less

    - #### Level4

          public static final RedundancyLevel Level4

      Redundancy Level 4
      The following code types must be successfully read three times before being decoded:

      | Code Type | Code Length
      | All | All

  - ### Method Detail

    - #### values

          public static RedundancyLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RedundancyLevel c : RedundancyLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RedundancyLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<RedundancyLevel>`

    - #### valueOf

          public static RedundancyLevel valueOf(int code)